### Method

# EDataServer SoupSession check_result

since: 3.26

#### Declaration [src]

    gboolean
    e_soup_session_check_result (
      ESoupSession* session,
      SoupMessage* message,
      gconstpointer read_bytes,
      gsize bytes_length,
      GError** error
    )

#### Description [src]

Checks result of the `message` and sets the `error` if it failed. When it failed and the `read_bytes` is provided, then these are set to `message`‘s response body, thus it can be used later.

Available since: 3.26

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the method.

`read_bytes`

  Type: `gconstpointer`

  Optional bytes which had been read from the stream, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`bytes_length`

  Type: `gsize`

  How many bytes had been read; ignored when `read_bytes` is `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded, aka `TRUE`, when no error recognized and `FALSE` otherwise.